﻿//creamos los movieClips para los cubos
function crearcubos(){
	var d:Number=60;
	for (l=1;l<=4;l++)
		this.createEmptyMovieClip("superior"+l, d+l);
	d +=5;
	for (l=1;l<=4;l++)
		this.createEmptyMovieClip("lateral"+l, d+l);
	d +=5;
	for (l=1;l<=4;l++)
		this.createEmptyMovieClip("frente"+l, d+l);
}
//cubos3D([posición en x inicial],[posición en y inicial], [valor1], [valor2], [valor3], [valor4]);
function cubos3D(x,yy,y,b,g,w){
	//Inicializamos los colores de cada división
	colorF1 = 0x999996; //color frontal
	colorL1 = 0x666666; //color lateral
	colorS1 = 0xDDDDDD; //color de la parte superior

	colorF2 = 0xA5BC4E;
	colorL2 = 0x738336;
	colorS2 = 0xC2CB83;

	colorF3 = 0x1B95D9;
	colorL3 = 0x126897;
	colorS3 = 0x62C0FF;

	colorF4 = 0xE48701;
	colorL4 = 0x9F5E00;
	colorS4 = 0xFEB341;
	//creamos los dichosos cubos, con los parametros recogidos
	//Primero creamos los mc de la parte superior de los cubos
	with (this.superior1) {
		lineStyle(1, colorS1, 100);
		moveTo(x+18, yy-y-13);
		beginFill(colorS1, 100)
		lineTo(x+71, yy-y-13); //linea superior
		lineTo(x+54, yy-y); //linea derecha
		lineTo(x, yy-y); //linea inferior
		lineTo(x+18, yy-y-13); //linea izquierda
	}
	
	if (b > 0){ //<-- condicionamos para que solo se creen los mc necesarios
		with (this.superior2) {
			lineStyle(1, colorS2, 100);
			moveTo(x+18, yy-y-13-b);
			beginFill(colorS2, 100)
			lineTo(x+71, yy-y-13-b); //linea superior
			lineTo(x+54, yy-y-b); //linea derecha
			lineTo(x, yy-y-b); //linea inferior
			lineTo(x+18, yy-y-13-b); //linea izquierda
		}
		
	}
	if (g > 0){
		
		with (this.superior3) {
			lineStyle(1, colorS3, 100);
			moveTo(x+18, yy-y-13-b-g);
			beginFill(colorS3, 100)
			lineTo(x+71, yy-y-13-b-g); //linea superior
			lineTo(x+54, yy-y-b-g); //linea derecha
			lineTo(x, yy-y-b-g); //linea inferior
			lineTo(x+18, yy-y-13-b-g); //linea izquierda
		}
		
	}
	if (w > 0){
		
		with (this.superior4) {
			lineStyle(1, colorS4, 100);
			moveTo(x+18, yy-y-13-b-g-w);
			beginFill(colorS4, 100)
			lineTo(x+71, yy-y-13-b-g-w); //linea superior
			lineTo(x+54, yy-y-b-g-w); //linea derecha
			lineTo(x, yy-y-b-g-w); //linea inferior
			lineTo(x+18, yy-y-13-b-g-w); //linea izquierda
		}
		
	}
	//seguimos con la parte lateral de cada cubo
	
	with (this.lateral1) {
		lineStyle(1, colorL1, 100);
		moveTo(x+54, yy-y);
		beginFill(colorL1, 100)
		lineTo(x+71, yy-y-13); //linea superior
		lineTo(x+71, yy-13); //linea derecha
		lineTo(x+54, yy); //linea inferior
		lineTo(x+54, yy-y); //linea izquierda
	}
	
	if (b > 0){
		
		with (this.lateral2) {
			lineStyle(1, colorL2, 100);
			moveTo(x+54, yy-y-b);
			beginFill(colorL2, 100)
			lineTo(x+71, yy-y-13-b); //linea superior
			lineTo(x+71, yy-13-y); //linea derecha
			lineTo(x+54, yy-y); //linea inferior
			lineTo(x+54, yy-y-b); //linea izquierda
		}
		
	}
	if (g > 0){
		
		with (this.lateral3) {
			lineStyle(1, colorL3, 100);
			moveTo(x+54, yy-y-b-g);
			beginFill(colorL3, 100)
			lineTo(x+71, yy-y-13-b-g); //linea superior
			lineTo(x+71, yy-13-y-b); //linea derecha
			lineTo(x+54, yy-y-b); //linea inferior
			lineTo(x+54, yy-y-b-g); //linea izquierda
		}
		
	}
	if (w > 0){
		
		with (this.lateral4) {
			lineStyle(1, colorL4, 100);
			moveTo(x+54, yy-y-b-g-w);
			beginFill(colorL4, 100)
			lineTo(x+71, yy-y-13-b-g-w); //linea superior
			lineTo(x+71, yy-13-y-b-g); //linea derecha
			lineTo(x+54, yy-y-b-g); //linea inferior
			lineTo(x+54, yy-y-b-g-w); //linea izquierda
		}
		
	}
	//Y finalmente la parte frontal
	
	with (this.frente1) {
		lineStyle(1, colorF1, 100);
		moveTo(x, yy-y);
		beginFill(colorF1, 100)
		lineTo(x+53, yy-y); //linea superior
		lineTo(x+53, yy); //linea derecha
		lineTo(x, yy); //linea inferior
		lineTo(x, yy-y); //linea izquierda
	}
	
	if (b > 0){
		
		with (this.frente2) {
			lineStyle(1, colorF2, 100);
			moveTo(x, yy-y-b);
			beginFill(colorF2, 100)
			lineTo(x+53, yy-y-b); //linea superior
			lineTo(x+53, yy-y); //linea derecha
			lineTo(x, yy-y); //linea inferior
			lineTo(x, yy-y-b); //linea izquierda
		}
		
	}
	if (g > 0){
		
		with (this.frente3) {
			lineStyle(1, colorF3, 100);
			moveTo(x, yy-y-b-g);
			beginFill(colorF3, 100)
			lineTo(x+53, yy-y-b-g); //linea superior
			lineTo(x+53, yy-y-b); //linea derecha
			lineTo(x, yy-y-b); //linea inferior
			lineTo(x, yy-y-b-g); //linea izquierda
		}
		
	}
	if (w > 0){
		
		with (this.frente4) {
			lineStyle(1, colorF4, 100);
			moveTo(x, yy-y-b-g-w);
			beginFill(colorF4, 100)
			lineTo(x+53, yy-y-b-g-w); //linea superior
			lineTo(x+53, yy-y-b-g); //linea derecha
			lineTo(x, yy-y-b-g); //linea inferior
			lineTo(x, yy-y-b-g-w); //linea izquierda
		}
	}
}